org.apache.cayenne.xml

## Class XMLEncoder

- java.lang.Object
- - org.apache.cayenne.xml.XMLEncoder

- Deprecated.
  since 3.1 this XML serialization package is deprecated and will be removed in the following releases. It has a number of functional and performance limitations that make it impossible to evolve further. A replacement may be provided in an undefined future. For now we recommend the users to implement XML serialization of persistent objects based JAXB, XStream or other similar frameworks.

      @Deprecated
      public class XMLEncoder
      extends Object

  A helper class to encode objects to XML.
  Since:
    1.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLEncoder()` Deprecated. Creates new XMLEncoder.
    `XMLEncoder(String mappingUrl)` Deprecated. Creates new XMLEncoder that will use a mapping descriptor loaded via provided URL.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `encode(Object object)` Deprecated. Encodes an object using "root" as a root tag.
    `String` | `encode(String rootTag, Object object)` Deprecated. Encodes using provided root XML tag.
    `protected void` | `encodeCollection(String xmlTag, Collection<Object> c, boolean useType)` Deprecated. Encodes a collection of objects, attaching them to the current root.
    `void` | `encodeProperty(String xmlTag, Object value)` Deprecated. A callback method for XMLSerializable objects to encode an object property.
    `protected void` | `encodeProperty(String xmlTag, Object value, boolean useType)` Deprecated.
    `protected void` | `encodeSerializable(String xmlTag, XMLSerializable object)` Deprecated.
    `protected void` | `encodeSimple(String xmlTag, Object object, boolean useType)` Deprecated.
    `protected Node` | `getRootNode(boolean forceSyntheticRoot)` Deprecated. Returns a root DOM node of the encoder.
    `protected void` | `initDocument(String rootTag, String type)` Deprecated. Resets the encoder to process a new object tree.
    `protected String` | `nodeToString(Node rootNode)` Deprecated.
    `void` | `setRoot(String xmlTag, String type)` Deprecated. A callback for XMLSerializable objects to add a node to an encoding tree.
    `protected void` | `setRoot(String xmlTag, String type, boolean push)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLEncoder

          public XMLEncoder()

      Deprecated.
      Creates new XMLEncoder.

    - #### XMLEncoder

          public XMLEncoder(String mappingUrl)

      Deprecated.
      Creates new XMLEncoder that will use a mapping descriptor loaded via provided URL.

  - ### Method Detail

    - #### setRoot

          public void setRoot(String xmlTag,
                              String type)

      Deprecated.
      A callback for XMLSerializable objects to add a node to an encoding tree.

    - #### encodeProperty

          public void encodeProperty(String xmlTag,
                                     Object value)

      Deprecated.
      A callback method for XMLSerializable objects to encode an object property. Note that the object must call "setRoot" prior to encoding its properties.
      Parameters:
        `xmlTag` - The name of the XML element used to represent the property.
        `value` - The object's property value to encode.

    - #### encode

          public String encode(Object object)
                        throws CayenneRuntimeException

      Deprecated.
      Encodes an object using "root" as a root tag.
      Throws:
        `CayenneRuntimeException`

    - #### encode

          public String encode(String rootTag,
                               Object object)
                        throws CayenneRuntimeException

      Deprecated.
      Encodes using provided root XML tag.
      Throws:
        `CayenneRuntimeException`

    - #### initDocument

          protected void initDocument(String rootTag,
                                      String type)

      Deprecated.
      Resets the encoder to process a new object tree.

    - #### getRootNode

          protected Node getRootNode(boolean forceSyntheticRoot)

      Deprecated.
      Returns a root DOM node of the encoder.

    - #### nodeToString

          protected String nodeToString(Node rootNode)

      Deprecated.

    - #### setRoot

          protected void setRoot(String xmlTag,
                                 String type,
                                 boolean push)

      Deprecated.

    - #### encodeProperty

          protected void encodeProperty(String xmlTag,
                                        Object value,
                                        boolean useType)

      Deprecated.

    - #### encodeSimple

          protected void encodeSimple(String xmlTag,
                                      Object object,
                                      boolean useType)

      Deprecated.

    - #### encodeSerializable

          protected void encodeSerializable(String xmlTag,
                                            XMLSerializable object)

      Deprecated.

    - #### encodeCollection

          protected void encodeCollection(String xmlTag,
                                          Collection<Object> c,
                                          boolean useType)

      Deprecated.
      Encodes a collection of objects, attaching them to the current root.
      Parameters:
        `xmlTag` - The name of the root XML element for the encoded collection.
        `c` - The collection to encode.

Copyright © 2001–2017 Apache Cayenne. All rights reserved.